{
  "name": "@kwaeri/service",
  "description": "The @kwaeri/service component module of the @kwaeri/cli user-executable framework.",
  "homepage": "https://gitlab.com/kwaeri/cli/service#README",
  "author": "Richard B. Winters <kirvedx@gmail.com> and contributors",
  "copyright.owner": "Richard B. Winters <kirvedx@gmail.com> and contributors",
  "license": "(Apache-2.0 WITH LLVM-exception OR MIT)",
  "version": "0.10.0",
  "type": "module",
  "exports": {
    "import": "./dist/index.mjs",
    "require": null
  },
  "main": "dist/index.mjs",
  "types": "dist/index.d.mts",
  "bin": {},
  "default_locale": "en",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/kwaeri/cli/service.git"
  },
  "bugs": {
    "url": "https://gitlab.com/kwaeri/cli/service/issues"
  },
  "funding": [
    {
      "type": "Patreon",
      "url": "https://patreon.com/kirvedx"
    },
    {
      "type": "PayPal",
      "url": "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=YUW4CWCAABCU2"
    }
  ],
  "keywords": [
    "mmod",
    "massively",
    "modified",
    "nk",
    "Kwaeri",
    "nodekit",
    "service",
    "cli",
    "kue",
    "@kwaeri/cli",
    "@kwaeri/node-kit",
    "@kwaeri/service"
  ],
  "scripts": {
    "build": "tsc --build --clean && tsc -p .",
    "clean": "tsc --build --clean",
    "build:major-release": "npm run clean && xfmr-cli --bump-version --component major --source --project && npm run build",
    "build:minor-release": "npm run clean && xfmr-cli --bump-version --component minor --source --project && npm run build",
    "build:patch-release": "npm run clean && xfmr-cli --bump-version --source --project && npm run build",
    "local-upgrade": "npm run build && npm install -g .",
    "test": "mocha",
    "coverage": "nyc mocha",
    "abc": "npm run build && npm run coverage"
  },
  "devDependencies": {
    "@istanbuljs/esm-loader-hook": "^0.2.0",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@kwaeri/xfmr": "^0.3.0",
    "@tsconfig/node19": "^19.1.4",
    "@types/debug": "^4.1.12",
    "@types/mocha": "^10.0.10",
    "@types/node": "^22.10.2",
    "assert": "^2.1.0",
    "mocha": "^11.0.1",
    "nyc": "^17.1.0",
    "typescript": "^5.7.2"
  },
  "dependencies": {
    "debug": "^4.4.0"
  }
}
